Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.distributedkeys.jca
Class DistributedKeyStore

    java.lang.Object
      java.security.KeyStoreSpi
          be.fgov.ehealth.technicalconnector.distributedkeys.jca.DistributedKeyStore

    public class DistributedKeyStore

extends KeyStoreSpi

Implementation of `KeyStoreSpi`

Constructor Summary
`DistributedKeyStore()`

Method Summary
`Enumeration<String>` | `engineAliases()`
`boolean` | `engineContainsAlias(String alias)`
`void` | `engineDeleteEntry(String alias)`
`Certificate` | `engineGetCertificate(String alias)`
`String` | `engineGetCertificateAlias(Certificate cert)`
`Certificate[]` | `engineGetCertificateChain(String alias)`
`Date` | `engineGetCreationDate(String alias)`
`Key` | `engineGetKey(String alias, char[] password)`
`boolean` | `engineIsCertificateEntry(String alias)`
`boolean` | `engineIsKeyEntry(String alias)`
`void` | `engineLoad(InputStream stream, char[] password)`
`void` | `engineLoad(KeyStore.LoadStoreParameter param)`
`void` | `engineSetCertificateEntry(String alias, Certificate cert)`
`void` | `engineSetKeyEntry(String alias, byte[] key, Certificate[] chain)`
`void` | `engineSetKeyEntry(String alias, Key key, char[] password, Certificate[] chain)`
`int` | `engineSize()`
`void` | `engineStore(OutputStream stream, char[] password)`

Methods inherited from class java.security.KeyStoreSpi
`engineEntryInstanceOf, engineGetEntry, engineSetEntry, engineStore`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributedKeyStore

    public DistributedKeyStore()

Method Detail

### engineLoad

    public void engineLoad(KeyStore.LoadStoreParameter param)
                    throws IOException,
                           NoSuchAlgorithmException,
                           CertificateException

  Overrides:
    `engineLoad` in class `KeyStoreSpi`
  Throws:
    `IOException`
    `NoSuchAlgorithmException`
    `CertificateException`
  See Also:
    `KeyStoreSpi.engineLoad(java.security.KeyStore.LoadStoreParameter)`

### engineGetKey

    public Key engineGetKey(String alias,
                            char[] password)
                     throws NoSuchAlgorithmException,
                            UnrecoverableKeyException

  Specified by:
    `engineGetKey` in class `KeyStoreSpi`
  Throws:
    `NoSuchAlgorithmException`
    `UnrecoverableKeyException`
  See Also:
    `KeyStoreSpi.engineGetKey(java.lang.String, char[])`

### engineGetCertificateChain

    public Certificate[] engineGetCertificateChain(String alias)

  Specified by:
    `engineGetCertificateChain` in class `KeyStoreSpi`
  See Also:
    `KeyStoreSpi.engineGetCertificateChain(java.lang.String)`

### engineGetCertificate

    public Certificate engineGetCertificate(String alias)

  Specified by:
    `engineGetCertificate` in class `KeyStoreSpi`
  See Also:
    `KeyStoreSpi.engineGetCertificate(java.lang.String)`

### engineGetCreationDate

    public Date engineGetCreationDate(String alias)

  Specified by:
    `engineGetCreationDate` in class `KeyStoreSpi`
  See Also:
    `KeyStoreSpi.engineGetCreationDate(java.lang.String)`

### engineSetKeyEntry

    public void engineSetKeyEntry(String alias,
                                  Key key,
                                  char[] password,
                                  Certificate[] chain)
                           throws KeyStoreException

  Specified by:
    `engineSetKeyEntry` in class `KeyStoreSpi`
  Throws:
    `KeyStoreException`
  See Also:
    `KeyStoreSpi.engineSetKeyEntry(java.lang.String, java.security.Key, char[], java.security.cert.Certificate[])`

### engineSetKeyEntry

    public void engineSetKeyEntry(String alias,
                                  byte[] key,
                                  Certificate[] chain)
                           throws KeyStoreException

  Specified by:
    `engineSetKeyEntry` in class `KeyStoreSpi`
  Throws:
    `KeyStoreException`
  See Also:
    `KeyStoreSpi.engineSetKeyEntry(java.lang.String, byte[], java.security.cert.Certificate[])`

### engineSetCertificateEntry

    public void engineSetCertificateEntry(String alias,
                                          Certificate cert)
                                   throws KeyStoreException

  Specified by:
    `engineSetCertificateEntry` in class `KeyStoreSpi`
  Throws:
    `KeyStoreException`
  See Also:
    `KeyStoreSpi.engineSetCertificateEntry(java.lang.String, java.security.cert.Certificate)`

### engineDeleteEntry

    public void engineDeleteEntry(String alias)
                           throws KeyStoreException

  Specified by:
    `engineDeleteEntry` in class `KeyStoreSpi`
  Throws:
    `KeyStoreException`
  See Also:
    `KeyStoreSpi.engineDeleteEntry(java.lang.String)`

### engineAliases

    public Enumeration<String> engineAliases()

  Specified by:
    `engineAliases` in class `KeyStoreSpi`
  See Also:
    `KeyStoreSpi.engineAliases()`

### engineContainsAlias

    public boolean engineContainsAlias(String alias)

  Specified by:
    `engineContainsAlias` in class `KeyStoreSpi`
  See Also:
    `KeyStoreSpi.engineContainsAlias(java.lang.String)`

### engineSize

    public int engineSize()

  Specified by:
    `engineSize` in class `KeyStoreSpi`
  See Also:
    `KeyStoreSpi.engineSize()`

### engineIsKeyEntry

    public boolean engineIsKeyEntry(String alias)

  Specified by:
    `engineIsKeyEntry` in class `KeyStoreSpi`
  See Also:
    `KeyStoreSpi.engineIsKeyEntry(java.lang.String)`

### engineIsCertificateEntry

    public boolean engineIsCertificateEntry(String alias)

  Specified by:
    `engineIsCertificateEntry` in class `KeyStoreSpi`
  See Also:
    `KeyStoreSpi.engineIsCertificateEntry(java.lang.String)`

### engineGetCertificateAlias

    public String engineGetCertificateAlias(Certificate cert)

  Specified by:
    `engineGetCertificateAlias` in class `KeyStoreSpi`
  See Also:
    `KeyStoreSpi.engineGetCertificateAlias(java.security.cert.Certificate)`

### engineStore

    public void engineStore(OutputStream stream,
                            char[] password)
                     throws IOException,
                            NoSuchAlgorithmException,
                            CertificateException

  Specified by:
    `engineStore` in class `KeyStoreSpi`
  Throws:
    `IOException`
    `NoSuchAlgorithmException`
    `CertificateException`
  See Also:
    `KeyStoreSpi.engineStore(java.io.OutputStream, char[])`

### engineLoad

    public void engineLoad(InputStream stream,
                           char[] password)
                    throws IOException,
                           NoSuchAlgorithmException,
                           CertificateException

  Specified by:
    `engineLoad` in class `KeyStoreSpi`
  Throws:
    `IOException`
    `NoSuchAlgorithmException`
    `CertificateException`
  See Also:
    `KeyStoreSpi.engineLoad(java.io.InputStream, char[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.